<template>
  <div class="commendCard">
    <div
      class="commendCardItem"
      v-for="(item, index) in commendCardData"
      :key="index"
    >
      <router-link :to="item.router">
        <div>
          <img :src="item.img" alt="" />
          <span class="title">
            {{ item.title }}
          </span>
          <div class="des">
            {{ item.des }}
          </div>
        </div>
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    commendCardData: {
      type: Array,
    },
  },
  data() {
    return {};
  },
};
</script>

<style lang="scss" scoped>
.commendCard {
  display: flex;
  margin-top: 132px;
  width: 954px;
  height: 118px;
  background: #ffffff;
  border: 1px solid #e9ebee;
  box-sizing: border-box;
  box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.12);

  .commendCardItem {
    flex: 1;
    box-sizing: border-box;
    padding: 20px;

    img {
      height: 48px;
      margin-right: 10px;
      vertical-align: middle;
    }

    .title {
      font-size: 18px;
    }

    .des {
      color: #999999;
      margin-top: 10px;
      font-size: 14px;
    }

    &:hover {
      box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.25);
    }
  }
}
</style>